sudo: required
dist: trusty
language: generic
compiler:
  - gcc
# install dependencies
install:
  - export CI_ROS_DISTRO=indigo
  - echo $CI_ROS_DISTRO
  - sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu trusty main" > /etc/apt/sources.list.d/ros-latest.list'
  - wget http://packages.ros.org/ros.key -O - | sudo apt-key add -
  - sudo apt-get update
  - sudo apt-get install python-rosdep ros-indigo-catkin
  - sudo `which rosdep` init
  - rosdep update
  # use rosdep to install dependencies
  - rosdep install --default-yes --from-paths ./ --ignore-src --rosdistro $CI_ROS_DISTRO
script:
  - source /opt/ros/$CI_ROS_DISTRO/setup.bash
  - catkin_init_workspace
  - mkdir build
  - cd build
  - cmake .. -DCMAKE_INSTALL_PREFIX=./install
  - make -j1
  - make -j1 tests
  - make -j1 run_tests
  - catkin_test_results .
  - make -j1 install
notifications:
  email: false
